<?php

require_once("../../connector-php/codebase/scheduler_connector.php");   // Include the connector file
require_once("../../connector-php/codebase/db_mysqli.php");
include ("config.php");

$clients = new JSONOptionsConnector($timesheet_db, $dbtype);
$clients->render_sql("SELECT ClientID AS `key`, Name AS `label` FROM t_client","key","key,label");

$projects = new JSONOptionsConnector($timesheet_db, $dbtype);
$projects->render_sql("SELECT ProjectID AS `key`, Name AS `label`, ClientID FROM t_project","key","key,label,ClientID");


$tasks = new JSONOptionsConnector($timesheet_db, $dbtype);
$tasks->render_sql("SELECT TaskID AS `key`, Name AS `label`, ProjectID, Description,StatusID,PriorityID FROM t_task","key","key,label,ProjectID, Description,StatusID,PriorityID");


$scheduler = new JSONSchedulerConnector($timesheet_db, $dbtype);
$scheduler->set_options("clients", $clients);
$scheduler->set_options("projects", $projects);
$scheduler->set_options("tasks", $tasks);

//$scheduler->enable_log("log.txt");

// note column list: first three columns are always interpreted as start date, end date, text description respectively and available as event.start_date, event.end_date, event.text on the client side
$scheduler->render_table("t_timesheet","TimesheetID","StartDate,EndDate,Notes,TaskID,UserAssignedToID,SubmittedOn,AuthorisedOn,AuthorisedBy,AuthoriseEmailSent");
